# Uses of Enum Class
org.apache.sysds.lops.Ctable.OperationTypes

Packages that use Ctable.OperationTypes
Package
Description
org.apache.sysds.hops
org.apache.sysds.lops

## Uses of Ctable.OperationTypes in org.apache.sysds.hops

Methods in org.apache.sysds.hops with parameters of type Ctable.OperationTypes
Modifier and Type
Method
Description
`boolean`
TernaryOp.`isCTableReshapeRewriteApplicable(Types.ExecType et, Ctable.OperationTypes opType)`

## Uses of Ctable.OperationTypes in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return Ctable.OperationTypes
Modifier and Type
Method
Description
`static Ctable.OperationTypes`
Ctable.`findCtableOperationByInputDataTypes(Types.DataType dt1, Types.DataType dt2, Types.DataType dt3)`
`Ctable.OperationTypes`
Ctable.`getOperationType()`
method to get operation type
`static Ctable.OperationTypes`
Ctable.`getOperationType(String opcode)`
`static Ctable.OperationTypes`
Ctable.OperationTypes.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Ctable.OperationTypes[]`
Ctable.OperationTypes.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.lops with parameters of type Ctable.OperationTypes
Modifier
Constructor
Description
``
`Ctable(Lop[] inputLops, Ctable.OperationTypes op, Types.DataType dt, Types.ValueType vt, boolean ignoreZeros, boolean outputEmptyBlocks, Types.ExecType et, int k)`
``
`Ctable(Lop[] inputLops, Ctable.OperationTypes op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`